IDEA报错总结:修改Java编译版本--maven项目

之前写过2篇文章:
解决IDEA报错:Lambda expressions not supported at language level ‘7’
IDEA报错解决:Error:(33, 35) java: -source 7 中不支持 lambda 表达式 (请使用 -source 8 或更高版本以启用 lambda 表达式)


早上又遇到报错:

Warning:(117, 13) java: 从发行版 10 开始,'var' 是受限制的本地变量类型,无法用于类型声明,也无法用作数组的元素类型
Error:(117, 9) java: 找不到符号
  符号:var
  位置: 类 com.spider
Error:(33, 35) java: -source 7 中不支持 lambda 表达式
  (请使用 -source 8 或更高版本以启用 lambda 表达式)

这里做一个总结。


1.选择FileProject StructureProject, 修改Level 到8 - Lambdas, type annotations etc或者你想要的版本.
在这里插入图片描述
2.File --> Settings -->Build, Execution, Deployment Compiler --> Java Compiler,更改版本为Java 8或者Java 11
在这里插入图片描述
3.如果是maven项目,可能上面的修改都没用,需要修改文件pom.xml:

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>8</maven.compiler.source>
    <maven.compiler.target>8</maven.compiler.target>
  </properties>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>8</source>
          <target>8</target>
        </configuration>
      </plugin>
    </plugins>
©️2020 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值